# Uses of Class
javax.xml.validation.SchemaFactory

Packages that use SchemaFactory
Package
Description
javax.xml.validation
Provides an API for validation of XML documents.

## Uses of SchemaFactory in javax.xml.validation

Methods in javax.xml.validation that return SchemaFactory
Modifier and Type
Method
Description
`static SchemaFactory`
SchemaFactory.`newDefaultInstance()`
Creates a new instance of the `SchemaFactory` builtin system-default implementation.
`abstract SchemaFactory`
SchemaFactoryLoader.`newFactory(String schemaLanguage)`
Creates a new `SchemaFactory` object for the specified schema language.
`static SchemaFactory`
SchemaFactory.`newInstance(String schemaLanguage)`
Obtains a new instance of a `SchemaFactory` that supports the specified schema language.
`static SchemaFactory`
SchemaFactory.`newInstance(String schemaLanguage, String factoryClassName, ClassLoader classLoader)`
Obtain a new instance of a `SchemaFactory` from class name.